<?php
/**
 *
 * SugarCRM Community Edition is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004-2013 SugarCRM Inc.
 *
 * SuiteCRM is an extension to SugarCRM Community Edition developed by SalesAgility Ltd.
 * Copyright (C) 2011 - 2018 SalesAgility Ltd.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 *
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU Affero General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo and "Supercharged by SuiteCRM" logo. If the display of the logos is not
 * reasonably feasible for technical reasons, the Appropriate Legal Notices must
 * display the words "Powered by SugarCRM" and "Supercharged by SuiteCRM".
 */

$vardefs = array(
'fields'=> array(
    'assigned_user_id' =>
        array(
            'name' => 'assigned_user_id',
            'rname' => 'user_name',
            'id_name' => 'assigned_user_id',
            'vname' => 'LBL_ASSIGNED_TO_ID',
            'group'=>'assigned_user_name',
            'type' => 'relate',
            'table' => 'users',
            'module' => 'Users',
            'reportable'=>true,
            'isnull' => 'false',
            'dbType' => 'id',
            'audited'=>true,
            'comment' => 'User ID assigned to record',
            'duplicate_merge'=>'disabled'
        ),
     'assigned_user_name' =>
     array(
            'name' => 'assigned_user_name',
            'link'=>'assigned_user_link' ,
            'vname' => 'LBL_ASSIGNED_TO_NAME',
            'rname' => 'user_name',
            'type' => 'relate',
            'reportable'=>false,
            'source'=>'non-db',
            'table' => 'users',
            'id_name' => 'assigned_user_id',
            'module'=>'Users',
            'duplicate_merge'=>'disabled'
     ),
              'assigned_user_link' =>
  array(
        'name' => 'assigned_user_link',
    'type' => 'link',
    'relationship' => strtolower($module).'_assigned_user',
    'vname' => 'LBL_ASSIGNED_TO_USER',
    'link_type' => 'one',
    'module'=>'Users',
    'bean_name'=>'User',
    'source'=>'non-db',
    'duplicate_merge'=>'enabled',
    'rname' => 'user_name',
    'id_name' => 'assigned_user_id',
    'table' => 'users',
  ),
    /* BEGIN - SECURITY GROUPS - additional-users */ 
	'additionalusers' =>
	array (
		'name' => 'additionalusers',
		'vname' => 'LBL_ADDITIONALUSERS',
		'type' => 'additionalusers',
		//'type' => 'function',
		//'function_name'=>'getAdditionalUsers',
		//'function_params'=> array('id'),
		'source'=>'non-db',
		'function' => array(
			'name' => 'getAdditionalUsers',
			'include' => 'modules/SecurityGroups/SecurityGroupAdditionalUser.php',
			//'returns' => 'html',
			//'onListView' => true,
		),
		//custom_type may be the key for list view
		//'custom_type' => 'securitygroup',
		'sortable' => false,
		'reportable'=>false,
		'comment' => 'Used for adding to the list, detail, and edit views',
		'massupdate' => false,
		'unified_search' => false,
		'importable' => 'false',
		//'readonly' => true,
		'studio' => array('visible' => false, 'listview' => false, 'searchview'=>false, 'detailview'=>true, 'editview'=>true, 'formula' => false, 'related' => false, 'basic_search' => false, 'advanced_search' => false, 'popuplist' => false, 'popupsearch' => false, 'dashletsearch' => false, 'dashlet' => false, 'quickcreate' => true),
	),
	'additionalusers_listview' =>
	array (
		'name' => 'additionalusers_listview',
		'vname' => 'LBL_ADDITIONALUSERS',
		//'type' => 'additionalusers',
		'type' => 'function',
		'function_name'=>'getAdditionalUsers_List',
		'function_params'=> array('id'),
		'source'=>'non-db',
		'function' => array(
			'name' => 'getAdditionalUsers_List',
			'include' => 'modules/SecurityGroups/SecurityGroupAdditionalUser.php',
			'returns' => 'html',
			'onListView' => false,
		),
		'module' => $module,
		//custom_type may be the key for list view
		'custom_type' => 'additionalusers',
		'sortable' => false,
		'reportable'=>false,
		'comment' => 'Used for adding to the list, detail, and edit views',
		'massupdate' => false,
		'unified_search' => false,
		'importable' => 'false',
		'readonly' => true,
		'studio' => array('visible' => true, 'listview' => true, 'searchview'=>false, 'detailview'=>false, 'editview'=>false, 'formula' => false, 'related' => false, 'basic_search' => false, 'advanced_search' => false, 'popuplist' => true, 'popupsearch' => false, 'dashletsearch' => false, 'dashlet' => false),
	),
    /* END - SECURITY GROUPS - additional-users */  
),
'relationships'=>array(
      strtolower($module).'_assigned_user' =>
   array('lhs_module'=> 'Users', 'lhs_table'=> 'users', 'lhs_key' => 'id',
   'rhs_module'=> $module , 'rhs_table'=> $table_name, 'rhs_key' => 'assigned_user_id',
   'relationship_type'=>'one-to-many')
));
